petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecCUDAResetArray

Resets a vector to use its default memory. Call this after the use of VecCUDAPlaceArray().

### Synopsis

    PetscErrorCode VecCUDAResetArray(Vec vin)

Not Collective Many br

### Input Parameters

vec -the vector Many br

Many br

### See Also

VecGetArray(), VecRestoreArray(), VecReplaceArray(), VecPlaceArray(), VecResetArray(), VecCUDAPlaceArray(), VecCUDAReplaceArray()

Level:developer
Location:src/vec/vec/impls/seq/seqcuda/veccuda2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages